SystemOrganization addCategory: #'Orange-Component'!

Object subclass: #ORComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORComponent commentStamp: 'chc 6/17/2015 11:17' prior: 0!
Abstract superclass for components!

!ORComponent methodsFor: 'as yet unclassified' stamp: 'chc 4/7/2015 14:35'!
asResource
	^ ALHtmlResource component: self! !

!ORComponent methodsFor: 'as yet unclassified' stamp: 'chc 3/31/2015 14:52'!
renderOn: anObject
	self subclassResponsibility ! !

!ORComponent methodsFor: 'as yet unclassified' stamp: 'chc 4/30/2015 13:43'!
title
	| in out |
	out := String new writing.
	in := self class name reading.
	in ++ 2.
	in do: 
		[:ch | 
		ch isUppercase ifTrue: [out space].
		out put: ch].
	^ out conclusion	! !

ORComponent subclass: #ORContent
	instanceVariableNames: 'next'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORContent commentStamp: 'chc 6/17/2015 11:18' prior: 0!
One of three components used in HelloWorld: ORHead; ORFrame; and, ORContent.!

!ORContent methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:02'!
renderOn: html
	html br.
	html text: 'This is the Hello World page'.
	html br.
	html p: 'Content on the second page'.
	! !

ORComponent subclass: #ORDirectoryContents
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORDirectoryContents commentStamp: 'chc 6/19/2015 13:28' prior: 0!
Subclass of ALAsyncExample. Should it be? 

!

!ORDirectoryContents methodsFor: 'as yet unclassified' stamp: 'chc 5/13/2015 15:06'!
initialize
	super initialize.
	count := 0! !

!ORDirectoryContents methodsFor: 'as yet unclassified' stamp: 'chc 5/27/2015 16:09'!
renderContentOn: html
	|docroot mczs |
	docroot := FSLocator imageDirectory.
	mczs := docroot allEntries select: [:ea| ea basename endsWith: 'mcz' ].
	mczs do: [:eb| html a linkTo: 'http://www.abc.com'; with: eb basename.
				    html br ]

	! !

!ORDirectoryContents methodsFor: 'as yet unclassified' stamp: 'chc 6/22/2015 14:39'!
renderOn: html
	|docroot mczs |
	docroot := FSLocator imageDirectory.
	mczs := docroot allEntries select: [:ea| ea basename endsWith: 'mcz' ].
	mczs do: [:eb| html a linkTo: 'http://www.abc.com'; with: eb basename.
				    html br ]

	! !

ORComponent subclass: #ORFrame
	instanceVariableNames: 'next content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORFrame commentStamp: 'chc 6/17/2015 11:18' prior: 0!
One of three components used in HelloWorld: ORHead; ORFrame; and, ORContent.!

!ORFrame methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initialize
	content := ORContent new! !

!ORFrame methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:06'!
renderOn: html
	html body:
			[html p: 
				[
				html a href: 'http://www.abc.com';with: 'ABC Network'.
				html br.
				html a navigate: [content := ALCounterExample new ]; with: 'New Page'.
				content renderOn: html
				]]! !

ORComponent subclass: #ORHead
	instanceVariableNames: 'frame'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORHead commentStamp: 'chc 6/17/2015 11:18' prior: 0!
One of three components used in HelloWorld: ORHead; ORFrame; and, ORContent.!

!ORHead methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initialize
	frame := ORFrame new! !

!ORHead methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:03'!
renderOn: html
	html html: [
			html head:  [html title: 'Hello World Page'.
						html style: [html text: self style].].
			frame renderOn: html
			]
		! !

!ORHead methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:03'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

ORComponent subclass: #ORHelloWorldPage
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORHelloWorldPage commentStamp: 'chc 6/17/2015 11:19' prior: 0!
Single component for the ORSimplerHelloWorldApplication.!

!ORHelloWorldPage methodsFor: 'as yet unclassified' stamp: 'chc 11/26/2014 10:08'!
renderOn: html
	html html:
		[html head:
			[html title: 'Hello World Page'].
		html body:
			[html p: 
				[html text: 'This is the Hello World page'.
				html br.
				html a href: 'http://www.abc.com';with: 'ABC Network']
			]
		]! !

ORComponent subclass: #ORVersionUploader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORVersionUploader methodsFor: 'as yet unclassified' stamp: 'chc 6/22/2015 14:36'!
loadURL
	| stream version |
	url asUrl fileName ifEmpty: [ ^self ].
	stream := url asUrl retrieveContents content asByteArray readStream .
	version := (MCVersionReader readerClassForFileNamed: url) versionFromStream: stream.
	version load! !

!ORVersionUploader methodsFor: 'as yet unclassified' stamp: 'chc 6/22/2015 14:36'!
newVersion: aWorkingCopy
	| version stream |
	version := [ aWorkingCopy newVersion ]
		on: MCVersionNameAndMessageRequest
		do: [ :request | request resume: (Array with: request suggestedName with: '') ].
	stream := RWBinaryOrTextStream on: String new.
	version fileOutOn: stream.
	"self session returnResponse: (WAResponse new
		attachmentWithFileName: version fileName;
		contentType: 'application/octet-stream';
		nextPutAll: stream contents;
		yourself)"! !

!ORVersionUploader methodsFor: 'as yet unclassified' stamp: 'chc 6/18/2015 11:40'!
renderOn: html
	html p: 'Load version from online repository: '.
	html form beMethodGet; with: [
		html input beTypeText 
		value: 'http://'; 
		callback: [:u | url _ u].
		html br.
		html input beTypeSubmit
		callback: [ Transcript cr; show: 'YWVersionUploader' ]
	].
	html p: 'Load version from file: '.
	html form beMethodGet; with:
		[html input beTypeFile
			callback: [:f| file := f ].
		html br.
		html input
			beTypeSubmit callback: [ self loadFile ]
	].
	html p: 'Save version to file: '.
	html ul with: [ MCWorkingCopy allManagers do: [:ea| 
			html li: [ html a callback: [ self newVersion: ea ]; with: 'Save'.
					 html space. 
					 html text: ea description ]]].
! !

Object subclass: #ORExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORExamplePage commentStamp: 'chc 6/22/2015 14:41' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORExamplePage methodsFor: 'converting' stamp: 'cwp 2/4/2013 14:06'!
asResource
	^ ALExampleResource component: self! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
current

	^ current! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
current: anObject

	current := anObject! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
examples

	^ examples! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
examples: anObject

	examples := anObject! !

!ORExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/13/2015 14:25'!
initialize
	examples := {
		'unicode' -> ALEncodingExample.
		'streaming' -> ALStreamingExample.
		'counter' -> ALCounterExample.
		'ajax counter' -> ALAjaxCounterExample.
		'pjax counter' -> ALPjaxCounterExample.
		'form' -> ORAuthForm.
		'angular' -> ORAJSAuthComponent.
		
	}.
	current := examples first value new.! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 8/1/2012 22:13'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORExamplePage methodsFor: 'rendering' stamp: 'chc 7/7/2015 13:55'!
renderHtmlOn: html
	html html ngApp; with: 
		[html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body ngController: 'MainCtrl as ctrl'; with: [ self renderBodyOn: html ] ]
						! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 2/4/2013 12:28'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 8/1/2012 23:43'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 8/1/2012 22:21'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 2/4/2013 10:16'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

!ALResponse class methodsFor: '*orange-component' stamp: 'chc 1/27/2015 15:08'!
unauthorized
	^ self status: 401 reason: 'Unauthorized' details: 'You have not logged in'! !

!ALHtmlTag methodsFor: '*orange-component' stamp: 'chc 12/31/2014 13:29'!
ngApp
	self attributeAt: #'ng-app' put: 'notesApp'! !

!ALHtmlTag methodsFor: '*orange-component' stamp: 'chc 7/13/2015 14:52'!
ngApp: aModuleName
	self attributeAt: #'ng-app' put: aModuleName! !

!ALButtonTag methodsFor: '*orange-component' stamp: 'chc 1/5/2015 15:50'!
ngClick: aString
	self attributeAt: #'ng-click' put: aString! !

!ALRenderingContext methodsFor: '*orange-component' stamp: 'chc 6/22/2015 14:54'!
registerAuthForm: aForm
	| rsrc |
	rsrc := ORAuthFormResource resource: resource form: aForm.
	^ self registerResource: rsrc! !

!ALSpanTag methodsFor: '*orange-component' stamp: 'chc 1/6/2015 14:02'!
ngBind: aString
	self attributeAt: #'ng-bind' put: aString! !

!ALBodyTag methodsFor: '*orange-component' stamp: 'chc 12/30/2014 15:23'!
ngApp
	self attributeAt: #'ng-app' put: nil! !

!ALBodyTag methodsFor: '*orange-component' stamp: 'chc 1/1/2015 14:47'!
ngController: aString
	self attributeAt: #'ng-controller' put: aString! !

!ALDivTag methodsFor: '*orange-component' stamp: 'chc 7/10/2015 14:45'!
ngModel: aString
	self attributeAt: #'ng-model' put: aString! !

!ALDivTag methodsFor: '*orange-component' stamp: 'chc 1/6/2015 14:02'!
ngRepeat: aString
 	self attributeAt: #'ng-repeat' put: aString! !

!ALHtml5Canvas methodsFor: '*orange-component' stamp: 'chc 2/20/2015 16:41'!
space
	self text: ' '! !

!ALInputTag methodsFor: '*orange-component' stamp: 'chc 1/6/2015 14:50'!
ngModel: aString
	self attributeAt: #'ng-model' put: aString! !

!ALInputTag methodsFor: '*orange-component' stamp: 'chc 12/30/2014 15:00'!
placeholder: aString
	self attributeAt: #placeholder put: aString! !

ALExample subclass: #ORAuthForm
	instanceVariableNames: 'integer integer2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORAuthForm commentStamp: 'chc 6/22/2015 14:43' prior: 0!
A version of ALAltitudeForm added to the ORExamplePage menu.

!

!ORAuthForm methodsFor: 'as yet unclassified' stamp: 'chc 4/21/2015 16:12'!
initialize
	integer := integer2 := 0! !

!ORAuthForm methodsFor: 'as yet unclassified' stamp: 'chc 4/22/2015 15:48'!
renderContentOn: html
	html form beMethodGet; withAuth:
		[html input 
			beTypeText
			value: integer printString;
			callback: [:str | integer := str asNumber].
		html br.
		html input 
			beTypePassword
			value: integer2 printString;
			callback: [:str | integer2 := str asNumber ].
		html br.
		html input beTypeSubmit].
	"	html text: integer asWords.
		html br. 
		html text: integer2 asWords"! !

!ORAuthForm methodsFor: 'as yet unclassified' stamp: 'cwp 9/13/2012 13:23'!
renderStyleOn: html
	html style: 'input {margin-right: 20px}'! !

!ALAppFormTag methodsFor: '*orange-component' stamp: 'chc 4/13/2015 15:05'!
withAuth: anObject
	| html path |
	html := canvas useForm: form during: [ canvas render: anObject ].
	path := canvas context registerAuthForm: form.
	self action: path asString.
	super with: [ canvas raw: html ]! !
